Package ch.admin.suis.validator.rest.to

# Class Mandator

java.lang.Object
ch.admin.suis.validator.rest.to.Mandator

public class Mandator extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `KEY_MANDATOR_DESCR`
  `static final String`
  `KEY_MANDATOR_NOT_VALID_TEXT`
  `static final String`
  `KEY_MANDATOR_UNSURE_TEXT`
  `static final String`
  `KEY_MANDATOR_VALID_TEXT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Mandator()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getDescription()`
  `String`
  `getMandatorText(String key)`
  `List<TextTO>`
  `getMessages()`
  `String`
  `getName()`
  `void`
  `setDescription(String description)`
  `void`
  `setMessages(List<TextTO> messages)`
  `void`
  `setName(String name)`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### KEY_MANDATOR_DESCR

    public static final String KEY_MANDATOR_DESCR
    See Also:
      - Constant Field Values

  - ### KEY_MANDATOR_NOT_VALID_TEXT

    public static final String KEY_MANDATOR_NOT_VALID_TEXT
    See Also:
      - Constant Field Values

  - ### KEY_MANDATOR_UNSURE_TEXT

    public static final String KEY_MANDATOR_UNSURE_TEXT
    See Also:
      - Constant Field Values

  - ### KEY_MANDATOR_VALID_TEXT

    public static final String KEY_MANDATOR_VALID_TEXT
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### Mandator

    public Mandator()

- ## Method Details

  - ### getDescription

    public String getDescription()

  - ### getMandatorText

    public String getMandatorText(String key)

  - ### getMessages

    public List<TextTO> getMessages()

  - ### getName

    public String getName()

  - ### setDescription

    public void setDescription(String description)

  - ### setMessages

    public void setMessages(List<TextTO> messages)

  - ### setName

    public void setName(String name)